using Microsoft.AspNetCore.Mvc;
using New_College.IServices;
using System.Threading.Tasks;

namespace New_College.Controllers
{
    /// <summary>
    /// 健康检查
    /// </summary>
    [Route("[controller]")]
    [ApiController]
    public class HealthCheckController : ControllerBase
    {
        private readonly IT_EnrollmentPlaneServices t_EnrollmentPlane;
        public HealthCheckController(IT_EnrollmentPlaneServices t_EnrollmentPlaneServices)
        {
            t_EnrollmentPlane = t_EnrollmentPlaneServices;
        }

        /// <summary>
        /// 健康检查接口
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public IActionResult Get()
        {
            return Ok();
        }

        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        public Task<bool> Post()
        {
            return t_EnrollmentPlane.Import();
        }

    }
}